%{?scl:%scl_package python-cx_Oracle}
%{!?scl:%global pkg_name %{name}}

# different arches have differnet oracle versions
%define oracleicname instantclient
%ifarch ppc ppc64
%define oraclever 10.2.0.2
%define oracleicver %{oraclever}
%else
%ifarch ia64
%define oraclever 10.2.0.3
%define oracleicver %{oraclever}
%else
%define ociver 18c
%define oraclever 18.3
%define oracleicname instantclient%{oraclever}
%define oracleicver 18.3.0.0.0
%define pyversion 36
%endif
%endif

Summary: Python interface to Oracle
Name: %{?scl_prefix}python-cx_Oracle
Version: 8.0
Release: 1%{?dist}
Source0: cx_Oracle-%{version}.tar.gz
License: Python Software Foundation License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prefix: %{_prefix}
Url: https://github.com/oracle/python-cx_Oracle/ 
AutoReq: 0
Provides: python(:DBAPI:oracle) = 2.0
%{?scl:BuildRequires: scl-utils}
%if "%{scl}" == "rh-python%{pyversion}"
BuildRequires: scl-utils
BuildRequires: rh-python%pyversion
Requires: rh-python%pyversion
BuildRequires: rh-python%pyversion-python-devel
%else
BuildRequires: python
Requires: python
BuildRequires: python-devel
%endif
BuildRequires: oracle-%{oracleicname}-devel
Requires: oracle-%{oracleicname}-basic >= %{oracleicver}

%description
Extension module for rh-python35 from Software Collection Library that 
enables access to Oracle Database. Conforms to the Python database API 2.0 
specification. For use with Oracle Client 12.2 


%prep
%setup -n cx_Oracle-%{version}

#kinda ugly but we need ORACLE_HOME to be set
%if "%{_lib}" == "lib64"
%define oracle_home /usr/lib/oracle/%{oraclever}/client64
%else
%define oracle_home /usr/lib/oracle/%{oraclever}/client
%endif


%build
export ORACLE_HOME=%{oracle_home}
export CFLAGS="$RPM_OPT_FLAGS"
%{?scl:scl enable %{scl} - << \EOF}
python setup.py build
%{?scl:EOF}


%install
export ORACLE_HOME=%{oracle_home}
%{?scl:scl enable %{scl} - << \EOF}
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f INSTALLED_FILES
%doc LICENSE.txt README.txt samples test


%changelog
* Fri Jun 26 2020 EL Errata <el-errata_ww@oracle.com> 8.0-1
- Update to 8.0

* Mon Dec 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.3-1
- Update to 7.3

* Tue Oct 01 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.3-1
- Update to 7.2.3

* Mon Aug 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.2-1
- Update to 7.2.2

* Thu Jul 25 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.1-1
- Update to 7.2.1

* Tue Jul 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2-1
- Update to 7.2

* Wed Apr 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.3-1
- Update to 7.1.3

* Tue Mar 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.2-1
- Update to 7.1.2

* Tue Feb 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.1-1
- Update to 7.1.1

* Wed Feb 06 2019 John Mcwalters <john.mcwalters@oracle.com> 7.1-1
- Update to 7.1

* Fri Sep 14 2018 John Mcwalters <john.mcwalters@oracle.com> 7.0-1.0.1
- update oracle-instantclient to 18c

* Thu Sep 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 7.0-1
- Update to 7.0

* Mon Jul 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.4.1-1
- Update to 6.4.1

* Mon Jul 02 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.4-1
- Update to 6.4

* Tue May 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.3.1-1
- Update to 6.3.1

* Thu May 03 2018 Jacob Wang <jacob.wang@oracle.com> 6.3-1
- update to cx_Oracle 6.3

* Thu Feb 08 2018 Lans Hung <lans.hung@oracle.com> 6.0.2-2
- Build with rh-python36

* Thu Dec 14 2017 Lans Hung <lans.hung@oracle.com> 6.0.2-1
- rename to rh-python35-python-cx_Oracle
- update to cx_Oracle 6.0.2

* Wed Jun 07 2017 Michael Mraka <michael.mraka@redhat.com> 5.3-1
- rebased to latest stable version

* Thu Jan 29 2015 Tomas Lestach <tlestach@redhat.com> 5.1.2-5
- we need to use the exact oracle instantclient version

* Thu Jan 29 2015 Tomas Lestach <tlestach@redhat.com> 5.1.2-4
- do not require exact version of oracle instantclient
- fixed tito build warning
- replace legacy name of Tagger with new one

* Fri Mar 15 2013 Michael Mraka <michael.mraka@redhat.com> 5.1.2-3
- fixed builder definition

* Mon Oct 22 2012 Michael Mraka
- Use the ReleaseTagger.
- rebuild with correct vendor

* Mon Oct 08 2012 Jan Pazdziora 5.1.2-1
- Rebase to cx_Oracle 5.1.2.

* Mon Oct 08 2012 Jan Pazdziora 5.0.4-2
- Require latest greatest oracle-instantclient11.2-*.
- %%defattr is not needed since rpm 4.4

* Fri Jan 07 2011 Jan Pazdziora <jpazdziora@redhat.com> 5.0.4-1
- cx_Oracle 5.0.4 with Oracle InstantClient 11g

